package market.Slm.DeliveryManagement.vo;
import java.io.Serializable;
import java.util.Date;

import market.Slm.DeliveryManagement.mapper.SlmLadingBillDetailMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_LADING_BILL_DETAIL", namespace=SlmLadingBillDetailMapper.class)
public class SlmLadingBillDetail extends BaseVO implements Serializable {
	/**
	 * 提单明细表
	 */
	private static final long serialVersionUID = -4668971295710671032L;

	@Id
	//明细编号
	private String detail_no;

	@Column
	//提单子编号
	private String line_no;

	@Column
	//提单编号
	private String bill_no;

	@	Column
	//订单编号
	private String order_no;

	@Column
	//合同头主键
	private String contract_pk;

	@	Column
	//合同号
	private String contract_no;

	@Column
	//合同行号
	private String contract_line_no;

	@Column
	//合同行序号
	private String contract_line_seq;

	@Column
	//订单序号
	private String order_seq;

	@Column
	//客户编号
	private String customer_no;

	@Column
	//客户名称
	private String customer_name;

	@Column
	//收货单位编号
	private String reciver_unit_no;

	@Column
	//收货单位
	private String reciver_unit_name;

	@Column
	//原料卷号
	private String materailcoilno;

	@Column
	//卷号
	private String coilno;

	@Column
	//箱号
	private String boxno;

	@Column
	//标准号代码
	private String std_code;

	@Column
	//标准号名称
	private String std_name;

	@Column
	//判定牌号代码
	private String judgesteelcode;

	@Column
	//
	private String judgesteelcname;

	@Column
	//产品代码
	private String prod_code;

	@Column
	//产品名称
	private String prod_name;

	@Column
	//厚
	private Double thick;

	@Column
	//宽
	private Double width;

	@Column
	//长
	private Double len;

	@Column
	//块数
	private Integer block_num;

	@Column
	//实重
	private Double factweight;

	@Column
	//理重
	private Double theoryweight;

	@Column
	//创建人编号
	private String create_man_no;

	@Column
	//创建人姓名
	private String create_man_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//创建时间
	private Date create_time;
	
	private String steel_code;
	private String steel_name;

	public String getDetail_no() {
		return detail_no;
	}

	public void setDetail_no(String detailNo) {
		detail_no = detailNo;
	}

	public String getLine_no() {
		return line_no;
	}

	public void setLine_no(String lineNo) {
		line_no = lineNo;
	}

	public String getBill_no() {
		return bill_no;
	}

	public void setBill_no(String billNo) {
		bill_no = billNo;
	}

	public String getOrder_no() {
		return order_no;
	}

	public void setOrder_no(String orderNo) {
		order_no = orderNo;
	}

	public String getContract_pk() {
		return contract_pk;
	}

	public void setContract_pk(String contractPk) {
		contract_pk = contractPk;
	}

	public String getContract_no() {
		return contract_no;
	}

	public void setContract_no(String contractNo) {
		contract_no = contractNo;
	}

	public String getContract_line_no() {
		return contract_line_no;
	}

	public void setContract_line_no(String contractLineNo) {
		contract_line_no = contractLineNo;
	}

	public String getContract_line_seq() {
		return contract_line_seq;
	}

	public void setContract_line_seq(String contractLineSeq) {
		contract_line_seq = contractLineSeq;
	}

	public String getOrder_seq() {
		return order_seq;
	}

	public void setOrder_seq(String orderSeq) {
		order_seq = orderSeq;
	}

	public String getCustomer_no() {
		return customer_no;
	}

	public void setCustomer_no(String customerNo) {
		customer_no = customerNo;
	}

	public String getCustomer_name() {
		return customer_name;
	}

	public void setCustomer_name(String customerName) {
		customer_name = customerName;
	}

	public String getReciver_unit_no() {
		return reciver_unit_no;
	}

	public void setReciver_unit_no(String reciverUnitNo) {
		reciver_unit_no = reciverUnitNo;
	}

	public String getReciver_unit_name() {
		return reciver_unit_name;
	}

	public void setReciver_unit_name(String reciverUnitName) {
		reciver_unit_name = reciverUnitName;
	}

	public String getCoilno() {
		return coilno;
	}

	public void setCoilno(String coilno) {
		this.coilno = coilno;
	}

	public String getBoxno() {
		return boxno;
	}

	public void setBoxno(String boxno) {
		this.boxno = boxno;
	}

	public String getStd_code() {
		return std_code;
	}

	public void setStd_code(String stdCode) {
		std_code = stdCode;
	}

	public String getStd_name() {
		return std_name;
	}

	public void setStd_name(String stdName) {
		std_name = stdName;
	}

	public String getJudgesteelcode() {
		return judgesteelcode;
	}

	public void setJudgesteelcode(String judgesteelcode) {
		this.judgesteelcode = judgesteelcode;
	}

	public String getJudgesteelcname() {
		return judgesteelcname;
	}

	public void setJudgesteelcname(String judgesteelcname) {
		this.judgesteelcname = judgesteelcname;
	}

	public String getProd_code() {
		return prod_code;
	}

	public void setProd_code(String prodCode) {
		prod_code = prodCode;
	}

	public String getProd_name() {
		return prod_name;
	}

	public void setProd_name(String prodName) {
		prod_name = prodName;
	}

	public Double getThick() {
		return thick;
	}

	public void setThick(Double thick) {
		this.thick = thick;
	}

	public Double getWidth() {
		return width;
	}

	public void setWidth(Double width) {
		this.width = width;
	}

	public Double getFactweight() {
		return factweight;
	}

	public void setFactweight(Double factweight) {
		this.factweight = factweight;
	}

	public Double getTheoryweight() {
		return theoryweight;
	}

	public void setTheoryweight(Double theoryweight) {
		this.theoryweight = theoryweight;
	}

	public String getCreate_man_no() {
		return create_man_no;
	}

	public void setCreate_man_no(String createManNo) {
		create_man_no = createManNo;
	}

	public String getCreate_man_name() {
		return create_man_name;
	}

	public void setCreate_man_name(String createManName) {
		create_man_name = createManName;
	}

	public Date getCreate_time() {
		return create_time;
	}

	public void setCreate_time(Date createTime) {
		create_time = createTime;
	}

	public String getMaterailcoilno() {
		return materailcoilno;
	}

	public void setMaterailcoilno(String materailcoilno) {
		this.materailcoilno = materailcoilno;
	}

	public Double getLen() {
		return len;
	}

	public void setLen(Double len) {
		this.len = len;
	}

	public Integer getBlock_num() {
		return block_num;
	}

	public void setBlock_num(Integer block_num) {
		this.block_num = block_num;
	}

	// 垛位
	private String buttressname;

	public String getButtressname() {
		return buttressname;
	}

	public void setButtressname(String buttressname) {
		this.buttressname = buttressname;
	}
	public String getStorageattrname() {
		return storageattrname;
	}

	public void setStorageattrname(String storageattrname) {
		this.storageattrname = storageattrname;
	}

	//仓库名称
	private String storageattrname;

	public String getSteel_code() {
		return steel_code;
	}

	public void setSteel_code(String steel_code) {
		this.steel_code = steel_code;
	}

	public String getSteel_name() {
		return steel_name;
	}

	public void setSteel_name(String steel_name) {
		this.steel_name = steel_name;
	}
	//机台信息
	private String machine_code;
	private String machine_name;
	public String getMachine_code() {
		return machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}
	public String getMachine_name() {
		return machine_name;
	}
	public void setMachine_name(String machine_name) {
		this.machine_name = machine_name;
	}
	
	//装车数量，用于出厂证
	private Integer load_num;
	public Integer getLoad_num() {
		return load_num;
	}
	public void setLoad_num(Integer load_num) {
		this.load_num = load_num;
	}
	
	//提货单状态，用于提货单跟踪的导出功能
	private String valid_status;
	public String getValid_status() {
		return valid_status;
	}
	public void setValid_status(String valid_status) {
		this.valid_status = valid_status;
	}
	
	//备注
	private String memo;
	public String getMemo() {
		return memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}
	
	@Column
	//转库费单价20230218刘侣
	private Double zkf_u_price;
	public Double getZkf_u_price() {
		return zkf_u_price;
	}
	public void setZkf_u_price(Double zkf_u_price) {
		this.zkf_u_price = zkf_u_price;
	}
	
	@Column
	//资金占用费单价
	private Double zj_u_price;
	public Double getZj_u_price() {
		return zj_u_price;
	}
	public void setZj_u_price(Double zj_u_price) {
		this.zj_u_price = zj_u_price;
	}
	
	@Column
	//额外加价总额：
	private Double extra_money;
	public Double getExtra_money() {
		return extra_money;
	}
	public void setExtra_money(Double extra_money) {
		this.extra_money = extra_money;
	}
}
